/*
 * Starter.java, part of the WipeFreeSpaceGUI package.
 *
 * Copyright (C) 2009-2012 Bogdan Drozdowski, bogdandr (at) op.pl
 * License: GNU General Public License, v3+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foudation:
 *		Free Software Foundation
 *		51 Franklin Street, Fifth Floor
 *		Boston, MA 02110-1301
 *		USA
 *
 */

package BogDroSoft.wfs;

import java.util.ResourceBundle;
import javax.swing.JOptionPane;

/**
 * This class starts the WipeFreeSpaceGUI or reports an error to the user.
 * @author Bogdan Drozdowski
 */
public class Starter
{
	private static final String startError =
		ResourceBundle.getBundle("BogDroSoft/wfs/resources/Starter").getString("Error_requirements");
	private static final String errorTitle =
		ResourceBundle.getBundle("BogDroSoft/wfs/resources/WipeFreeSpaceGUIView").getString("Error");

	private Starter () {}

	/**
	 * WipeFreeSpaceGUI program starting point.
	 * @param args the command line arguments.
	 */
	public static void main (String[] args)
	{
		try
		{
			WipeFreeSpaceGUI.main (args);
		}
		catch (Exception ex)
		{
			WipeFreeSpaceGUI.handleException (ex, "*** " + startError + " ***"); // NOI18N
			try
			{
				JOptionPane.showMessageDialog (null, startError,
					errorTitle, JOptionPane.ERROR_MESSAGE);
			} catch (Exception ex2) {}
		}
	}
}
